# Create purchaseOrderLine
Creates a purchase order line in Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/purchaseOrders({id})/purchaseOrderLines
POST businesscentralPrefix/companies({id})/purchaseOrderLines
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body
In the request body, supply a JSON representation of a purchaseOrderLine object.
## Response
If successful, this method returns ```201 Created``` response code and a purchaseOrderLine object in the response body.
## Example
Request
Here's an example of the request.
```json
POST https://{businesscentralPrefix}/api/v2.0/companies({id})/purchaseOrderLines
Content-type: application/json
{
    "id": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
    "documentId": "bbbbbbbb-1111-2222-3333-cccccccccccc",
    "sequence": 10000,
    "itemId": "cccccccc-2222-3333-4444-dddddddddddd",
    "accountId": "93f5638a-55e3-jk22-aa32-211d3a2fdce5",
    "lineType": "Item",
    "lineObjectNumber": "1996-S",
    "description": "ATLANTA Whiteboard, base",
    "unitOfMeasureId": "dddddddd-3333-4444-5555-eeeeeeeeeeee",
    "unitOfMeasureCode": "PCS",
    "quantity": 12,
    "directUnitCost": 1397.3,
    "discountAmount": 0,
    "discountPercent": 0,
    "taxCode": "FURNITURE",
    "expectedReceiptDate": "2020-04-02",
    "invoiceQuantity": 12,
    "receiveQuantity": 12,
    "itemVariantId": "00000000-0000-0000-0000-000000000000",
    "locationId": "00000000-0000-0000-0000-000000000000"
}
```
Response
Here's an example of the response.
```json
HTTP/1.1 201 Created
Content-type: application/json
{
    "id": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
    "documentId": "bbbbbbbb-1111-2222-3333-cccccccccccc",
    "sequence": 10000,
    "itemId": "cccccccc-2222-3333-4444-dddddddddddd",
    "accountId": "93f5638a-55e3-jk22-aa32-211d3a2fdce5",
    "lineType": "Item",
    "lineObjectNumber": "1996-S",
    "description": "ATLANTA Whiteboard, base",
    "unitOfMeasureId": "dddddddd-3333-4444-5555-eeeeeeeeeeee",
    "unitOfMeasureCode": "PCS",
    "quantity": 12,
    "directUnitCost": 1397.3,
    "discountAmount": 0,
    "discountPercent": 0,
    "discountAppliedBeforeTax": false,
    "amountExcludingTax": 16767.6,
    "taxCode": "FURNITURE",
    "taxPercent": 6.00002,
    "totalTaxAmount": 1006.06,
    "amountIncludingTax": 17773.66,
    "invoiceDiscountAllocation": 0,
    "netAmount": 16767.6,
    "netTaxAmount": 1006.06,
    "netAmountIncludingTax": 17773.66,
    "expectedReceiptDate": "2020-04-02",
    "receivedQuantity": 0,
    "invoicedQuantity": 0,
    "invoiceQuantity": 12,
    "receiveQuantity": 12,
    "itemVariantId": "00000000-0000-0000-0000-000000000000",
    "locationId": "00000000-0000-0000-0000-000000000000"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_purchaseorderline
dynamics_purchaseorderline_get
dynamics_purchaseorderline_delete
PATCH purchaseOrderLine<dynamics_purchaseorderline_update>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchaseorderline_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_purchaseorderline_create/
